QScintilla: QsciStyle Class Reference

QScintilla 2.11.2

- Main Page
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
QsciStyle Class Reference

`#include <qscistyle.h>`

## Public Types
enum | TextCase { OriginalCase = 0, UpperCase = 1, LowerCase = 2 }

## Public Member Functions
| QsciStyle (int style=-1)
| QsciStyle (int style, const QString &description, const QColor &color, const QColor &paper, const QFont &font, bool eolFill=false)
void | apply (QsciScintillaBase *sci) const
void | setStyle (int style)
int | style () const
void | setDescription (const QString &description)
QString | description () const
void | setColor (const QColor &color)
QColor | color () const
void | setPaper (const QColor &paper)
QColor | paper () const
void | setFont (const QFont &font)
QFont | font () const
void | setEolFill (bool fill)
bool | eolFill () const
void | setTextCase (TextCase text_case)
TextCase | textCase () const
void | setVisible (bool visible)
bool | visible () const
void | setChangeable (bool changeable)
bool | changeable () const
void | setHotspot (bool hotspot)
bool | hotspot () const
void | refresh ()

## Detailed Description

The QsciStyle class encapsulates all the attributes of a style.

Each character of a document has an associated style which determines how the character is displayed, e.g. its font and color. A style is identified by a number. Lexers define styles for each of the language's features so that they are displayed differently. Some style numbers have hard-coded meanings, e.g. the style used for call tips.

## Member Enumeration Documentation

enum QsciStyle::TextCase

This enum defines the different ways the displayed case of the text can be changed.

Enumerator
OriginalCase | The text is displayed as its original case.
UpperCase | The text is displayed as upper case.
LowerCase | The text is displayed as lower case.

## Constructor & Destructor Documentation

QsciStyle::QsciStyle | ( | int | style = `-1` | ) |

Constructs a QsciStyle instance for style number style. If style is negative then a new style number is automatically allocated if possible. If it is not possible then style() will return a negative value.

See also
  style()

QsciStyle::QsciStyle | ( | int | style,
|  | const QString & | description,
|  | const QColor & | color,
|  | const QColor & | paper,
|  | const QFont & | font,
|  | bool | eolFill = `false`
| ) |  |

Constructs a QsciStyle instance for style number style. If style is negative then a new style number is automatically allocated if possible. If it is not possible then style() will return a negative value. The styles description, color, paper color, font and end-of-line fill are set to description, color, paper, font and eolFill respectively.

See also
  style()

## Member Function Documentation

void QsciStyle::setStyle | ( | int | style | ) |
| inline

The style's number is set to style.

See also
  style()

int QsciStyle::style | ( |  | ) | const
| inline

Returns the number of the style. This will be negative if the style is invalid.

See also
  setStyle()

void QsciStyle::setDescription | ( | const QString & | description | ) |
| inline

The style's description is set to description.

See also
  description()

QString QsciStyle::description | ( |  | ) | const
| inline

Returns the style's description.

See also
  setDescription()

void QsciStyle::setColor | ( | const QColor & | color | ) |

The style's foreground color is set to color. The default is taken from the application's default palette.

See also
  color()

QColor QsciStyle::color | ( |  | ) | const
| inline

Returns the style's foreground color.

See also
  setColor()

void QsciStyle::setPaper | ( | const QColor & | paper | ) |

The style's background color is set to paper. The default is taken from the application's default palette.

See also
  paper()

QColor QsciStyle::paper | ( |  | ) | const
| inline

Returns the style's background color.

See also
  setPaper()

void QsciStyle::setFont | ( | const QFont & | font | ) |

The style's font is set to font. The default is the application's default font.

See also
  font()

QFont QsciStyle::font | ( |  | ) | const
| inline

Returns the style's font.

See also
  setFont()

void QsciStyle::setEolFill | ( | bool | fill | ) |

The style's end-of-line fill is set to fill. The default is false.

See also
  eolFill()

bool QsciStyle::eolFill | ( |  | ) | const
| inline

Returns the style's end-of-line fill.

See also
  setEolFill()

void QsciStyle::setTextCase | ( | TextCase | text_case | ) |

The style's text case is set to text_case. The default is OriginalCase.

See also
  textCase()

TextCase QsciStyle::textCase | ( |  | ) | const
| inline

Returns the style's text case.

See also
  setTextCase()

void QsciStyle::setVisible | ( | bool | visible | ) |

The style's visibility is set to visible. The default is true.

See also
  visible()

bool QsciStyle::visible | ( |  | ) | const
| inline

Returns the style's visibility.

See also
  setVisible()

void QsciStyle::setChangeable | ( | bool | changeable | ) |

The style's changeability is set to changeable. The default is true.

See also
  changeable()

bool QsciStyle::changeable | ( |  | ) | const
| inline

Returns the style's changeability.

See also
  setChangeable()

void QsciStyle::setHotspot | ( | bool | hotspot | ) |

The style's sensitivity to mouse clicks is set to hotspot. The default is false.

See also
  hotspot()

bool QsciStyle::hotspot | ( |  | ) | const
| inline

Returns the style's sensitivity to mouse clicks.

See also
  setHotspot()